### Function

# EDataServer AsyncClosure new_with_context

since: 3.40

#### Declaration [src]

    EAsyncClosure*
    e_async_closure_new_with_context (
      GMainContext* context
    )

#### Description [src]

Creates a new `EAsyncClosure` for use with asynchronous functions using the `context` as the main context.

Available since: 3.40

This function is not directly available to language bindings.

#### Parameters

`context`

  Type: `GMainContext`

  A `GMainContext` to use, or `NULL` to use the default context.

  The argument can be `NULL`.
  The data is owned by the caller of the function.

#### Return value

Type: `EAsyncClosure`

A new `EAsyncClosure`.

The data is owned by the called function.